Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.text
Class MessageFormat.Field

    java.lang.Object
      |
      +--java.text.AttributedCharacterIterator.Attribute
            |
            +--java.text.Format.Field
                  |
                  +--java.text.MessageFormat.Field

All Implemented Interfaces:
  Serializable

Enclosing class:
  MessageFormat

public static class MessageFormat.Field
extends Format.Field

Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `MessageFormat.formatToCharacterIterator`.

Since:
  1.4
See Also:
  Serialized Form

Field Summary
`static MessageFormat.Field` | `ARGUMENT` Constant identifying a portion of a message that was generated from an argument passed into `formatToCharacterIterator`.

Fields inherited from class java.text.AttributedCharacterIterator.Attribute
`INPUT_METHOD_SEGMENT, LANGUAGE, READING`

Constructor Summary
`protected` | `MessageFormat.Field(String name)` Creates a Field with the specified name.

Method Summary
`protected Object` | `readResolve()` Resolves instances being deserialized to the predefined constants.

Methods inherited from class java.text.AttributedCharacterIterator.Attribute
`equals, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ARGUMENT

    public static final MessageFormat.Field ARGUMENT

  Constant identifying a portion of a message that was generated from an argument passed into `formatToCharacterIterator`. The value associated with the key will be an `Integer` indicating the index in the `arguments` array of the argument from which the text was generated.

Constructor Detail

### MessageFormat.Field

    protected MessageFormat.Field(String name)

  Creates a Field with the specified name.

Parameters:
  `name` - Name of the attribute

Method Detail

### readResolve

    protected Object readResolve()
                          throws InvalidObjectException

  Resolves instances being deserialized to the predefined constants.

  Overrides:
    `readResolve` in class `AttributedCharacterIterator.Attribute`
  Returns:
    resolved MessageFormat.Field constant
  Throws:
    `InvalidObjectException` - if the constant could not be resolved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.